#
# spec file for package patterns-kde
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           patterns-kde
Version:        20240311
Release:        2.5
Summary:        Patterns for Installation (kde devel)
License:        MIT
Group:          Metapackages
URL:            https://github.com/openSUSE/patterns
BuildRequires:  patterns-rpm-macros
BuildArch:      noarch

%description
This is an internal package that is used to create the patterns as part
of the installation source setup.  Installation of this package does
not make sense.

This particular package contains the KDE patterns.




################################################################################

%package devel_kde_frameworks
%pattern_development
Summary:        KDE Frameworks and Plasma Development
Group:          Metapackages
Provides:       patterns-kde-devel_kde = %{version}
Provides:       patterns-openSUSE-devel_kde = %{version}
Provides:       patterns-openSUSE-devel_kde_framework = %{version}
Provides:       pattern() = devel_kde_frameworks
Provides:       pattern-icon() = pattern%2Dkde%2Ddevel
Provides:       pattern-order() = 3180
Provides:       pattern-visible()
Obsoletes:      patterns-kde-devel_kde < %{version}
Obsoletes:      patterns-openSUSE-devel_kde < %{version}
Obsoletes:      patterns-openSUSE-devel_kde_framework < %{version}
Requires:       pattern() = devel_C_C++
Recommends:     cmake
Recommends:     extra-cmake-modules
Recommends:     pattern() = devel_qt5

# Generated by:
# osc api /build/KDE:Frameworks5/openSUSE_Factory/x86_64/_repository | xmllint --xpath "binarylist/binary/@filename" - | sed 's/.rpm" filename="/\n/g' | awk '/-devel$/ { printf "Recommends:     %s\n", $0 }'

Recommends:     AppStream-devel
Recommends:     attica-qt5-devel
Recommends:     baloo5-devel
Recommends:     bluez-qt-devel
Recommends:     frameworkintegration-devel
Recommends:     kactivities-stats-devel
Recommends:     kactivities5-devel
Recommends:     karchive-devel
Recommends:     kauth-devel
Recommends:     kbookmarks-devel
Recommends:     kcalendarcore-devel
Recommends:     kcmutils-devel
Recommends:     kcodecs-devel
Recommends:     kcompletion-devel
Recommends:     kconfig-devel
Recommends:     kconfigwidgets-devel
Recommends:     kcontacts-devel
Recommends:     kcoreaddons-devel
Recommends:     kcrash-devel
Recommends:     kdav-devel
Recommends:     kdbusaddons-devel
Recommends:     kdeclarative-devel
Recommends:     kded-devel
Recommends:     kdelibs4support-devel
Recommends:     kdesignerplugin-devel
Recommends:     kdesu-devel
Recommends:     kdnssd-framework-devel
Recommends:     kdoctools-devel
Recommends:     kemoticons-devel
Recommends:     kfilemetadata5-devel
Recommends:     kglobalaccel-devel
Recommends:     kguiaddons-devel
Recommends:     kholidays-devel
Recommends:     khotkeys5-devel
Recommends:     khtml-devel
Recommends:     ki18n-devel
Recommends:     kiconthemes-devel
Recommends:     kidletime-devel
Recommends:     kinit-devel
Recommends:     kio-devel
Recommends:     kirigami-devel
Recommends:     kirigami2-devel
Recommends:     kitemmodels-devel
Recommends:     kitemviews-devel
Recommends:     kjobwidgets-devel
Recommends:     kjs-devel
Recommends:     kjsembed-devel
Recommends:     kmediaplayer-devel
Recommends:     knewstuff-core-devel
Recommends:     knewstuff-devel
Recommends:     knewstuff-quick-devel
Recommends:     knotifications-devel
Recommends:     knotifyconfig-devel
Recommends:     kpackage-devel
Recommends:     kparts-devel
Recommends:     kpeople5-devel
Recommends:     kplotting-devel
Recommends:     kpty-devel
Recommends:     kquickcharts-devel
Recommends:     kross-devel
Recommends:     krunner-devel
Recommends:     kscreenlocker-devel
Recommends:     kservice-devel
Recommends:     ktexteditor-devel
Recommends:     ktextwidgets-devel
Recommends:     kunitconversion-devel
Recommends:     kwallet-devel
Recommends:     kwayland-devel
Recommends:     kwayland-server-devel
Recommends:     kwidgetsaddons-devel
Recommends:     kwin5-devel
Recommends:     kwindowsystem-devel
Recommends:     kxmlgui-devel
Recommends:     kxmlrpcclient5-devel
Recommends:     libAppStreamQt-devel
Recommends:     libKF5ModemManagerQt-devel
Recommends:     libKF5NetworkManagerQt-devel
Recommends:     libkdecoration2-devel
Recommends:     libkscreen2-devel
Recommends:     libksysguard5-devel
Recommends:     libpolkit-qt5-1-devel
Recommends:     phonon4qt5-devel
Recommends:     plasma-framework-devel
Recommends:     plasma5-addons-devel
Recommends:     plasma5-integration-devel
Recommends:     plasma5-workspace-devel
Recommends:     prison-qt5-devel
Recommends:     purpose-devel
Recommends:     qqc2-breeze-style-devel
Recommends:     qqc2-desktop-style-devel
Recommends:     solid-devel
Recommends:     sonnet-devel
Recommends:     syndication-devel
Recommends:     syntax-highlighting-devel
Recommends:     threadweaver-devel

%description devel_kde_frameworks
KDE Frameworks development packages.

%files devel_kde_frameworks
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/devel_kde_frameworks.txt

################################################################################

%package devel_qt5
%pattern_development
Summary:        Qt 5 Development
Group:          Metapackages
Provides:       patterns-openSUSE-devel_qt5 = %{version}
Provides:       pattern() = devel_qt5
Provides:       pattern-icon() = pattern%2Dqt%2Ddevel
Provides:       pattern-order() = 3381
Provides:       pattern-visible()
Obsoletes:      patterns-openSUSE-devel_qt5 < %{version}
Requires:       libqt5-qtbase-common-devel
Requires:       pattern() = devel_C_C++
Recommends:     qt-creator

# Generated by:
# osc api /build/KDE:Qt5/openSUSE_Factory/x86_64/_repository | xmllint --xpath "binarylist/binary/@filename" - | sed 's/.rpm" filename="/\n/g' | awk '/libqt5-qt/ && /-devel$/ && !/private-headers/ { printf "Recommends:     %s\n", $0 }'

Recommends:     libQt5Bodymovin-devel
Recommends:     libQt5Charts5-devel
Recommends:     libQt5DataVisualization5-devel
Recommends:     libQt5QuickControls2-devel
Recommends:     libQt5QuickTemplates2-devel
Recommends:     libqt5-qt3d-devel
Recommends:     libqt5-qtbase-devel
Recommends:     libqt5-qtconnectivity-devel
Recommends:     libqt5-qtdeclarative-devel
Recommends:     libqt5-qtdoc-devel
Recommends:     libqt5-qtgamepad-devel
Recommends:     libqt5-qtimageformats-devel
Recommends:     libqt5-qtlocation-devel
Recommends:     libqt5-qtmultimedia-devel
Recommends:     libqt5-qtnetworkauth-devel
Recommends:     libqt5-qtpdf-devel
Recommends:     libqt5-qtquick3d-devel
Recommends:     libqt5-qtremoteobjects-devel
Recommends:     libqt5-qtscript-devel
Recommends:     libqt5-qtscxml-devel
Recommends:     libqt5-qtsensors-devel
Recommends:     libqt5-qtserialbus-devel
Recommends:     libqt5-qtserialport-devel
Recommends:     libqt5-qtspeech-devel
Recommends:     libqt5-qtstyleplugins-devel
Recommends:     libqt5-qtsvg-devel
Recommends:     libqt5-qttools-devel
Recommends:     libqt5-qtvirtualkeyboard-devel
Recommends:     libqt5-qtwayland-devel
Recommends:     libqt5-qtwebchannel-devel
Recommends:     libqt5-qtwebengine-devel
Recommends:     libqt5-qtwebsockets-devel
Recommends:     libqt5-qtwebview-devel
Recommends:     libqt5-qtx11extras-devel
Recommends:     libqt5-qtxmlpatterns-devel

%description devel_qt5
Tools and libraries for software development using Qt 5.

%files devel_qt5
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/devel_qt5.txt

################################################################################

%package devel_kde_frameworks6
%pattern_development
Summary:        KDE Frameworks 6 and Plasma 6 Development
Group:          Metapackages
Provides:       pattern() = devel_kde_frameworks6
Provides:       pattern-icon() = pattern%2Dkde%2Ddevel
Provides:       pattern-order() = 3180
Provides:       pattern-visible()
Requires:       pattern() = devel_C_C++
Recommends:     cmake
Recommends:     kf6-extra-cmake-modules
Recommends:     pattern() = devel_qt6

# Generated by:
# _pkgs=($(osc api /build/KDE:Frameworks/openSUSE_Tumbleweed/x86_64/_repository | xmllint --xpath "binarylist/binary/@filename" - | tr '\n' ' ' | sed 's/filename="//g' | sed 's/.rpm"//g'))
# foreach package (${_pkgs}) { if [[ "${package}" =~ "-devel" ]] && [[ ! "${package}" =~ "-debug" ]]; then echo "Recommends:     ${package}"; fi }
#
# Branched packages from other repositories are filtered manually

Recommends:     breeze6-devel
Recommends:     kdecoration6-devel
Recommends:     kdeplasma6-addons-devel
Recommends:     kf6-attica-devel
Recommends:     kf6-baloo-devel
Recommends:     kf6-bluez-qt-devel
Recommends:     kf6-breeze-icons-devel
Recommends:     kf6-frameworkintegration-devel
Recommends:     kf6-karchive-devel
Recommends:     kf6-kauth-devel
Recommends:     kf6-kbookmarks-devel
Recommends:     kf6-kcalendarcore-devel
Recommends:     kf6-kcmutils-devel
Recommends:     kf6-kcodecs-devel
Recommends:     kf6-kcolorscheme-devel
Recommends:     kf6-kcompletion-devel
Recommends:     kf6-kconfig-devel
Recommends:     kf6-kconfigwidgets-devel
Recommends:     kf6-kcontacts-devel
Recommends:     kf6-kcoreaddons-devel
Recommends:     kf6-kcrash-devel
Recommends:     kf6-kdav-devel
Recommends:     kf6-kdbusaddons-devel
Recommends:     kf6-kdeclarative-devel
Recommends:     kf6-kded-devel
Recommends:     kf6-kdesu-devel
Recommends:     kf6-kdnssd-devel
Recommends:     kf6-kdoctools-devel
Recommends:     kf6-kfilemetadata-devel
Recommends:     kf6-kglobalaccel-devel
Recommends:     kf6-kguiaddons-devel
Recommends:     kf6-kholidays-devel
Recommends:     kf6-ki18n-devel
Recommends:     kf6-kiconthemes-devel
Recommends:     kf6-kidletime-devel
Recommends:     kf6-kio-devel
Recommends:     kf6-kirigami-devel
Recommends:     kf6-kitemmodels-devel
Recommends:     kf6-kitemviews-devel
Recommends:     kf6-kjobwidgets-devel
Recommends:     kf6-knewstuff-core-devel
Recommends:     kf6-knewstuff-devel
Recommends:     kf6-knotifications-devel
Recommends:     kf6-knotifyconfig-devel
Recommends:     kf6-kpackage-devel
Recommends:     kf6-kparts-devel
Recommends:     kf6-kpeople-devel
Recommends:     kf6-kplotting-devel
Recommends:     kf6-kpty-devel
Recommends:     kf6-kquickcharts-devel
Recommends:     kf6-krunner-devel
Recommends:     kf6-kservice-devel
Recommends:     kf6-kstatusnotifieritem-devel
Recommends:     kf6-ksvg-devel
Recommends:     kf6-ktexteditor-devel
Recommends:     kf6-ktexttemplate-devel
Recommends:     kf6-ktextwidgets-devel
Recommends:     kf6-kunitconversion-devel
Recommends:     kf6-kuserfeedback-devel
Recommends:     kf6-kwallet-devel
Recommends:     kf6-kwidgetsaddons-devel
Recommends:     kf6-kwindowsystem-devel
Recommends:     kf6-kxmlgui-devel
Recommends:     kf6-modemmanager-qt-devel
Recommends:     kf6-networkmanager-qt-devel
Recommends:     kf6-prison-devel
Recommends:     kf6-purpose-devel
Recommends:     kf6-qqc2-desktop-style-devel
Recommends:     kf6-solid-devel
Recommends:     kf6-sonnet-devel
Recommends:     kf6-syndication-devel
Recommends:     kf6-syntax-highlighting-devel
Recommends:     kf6-threadweaver-devel
Recommends:     kglobalacceld6-devel
Recommends:     kirigami-addons6-devel
Recommends:     kpipewire6-devel
Recommends:     kscreenlocker6-devel
Recommends:     kwayland6-devel
Recommends:     kwin6-devel
Recommends:     layer-shell-qt6-devel
Recommends:     libaccounts-qt6-devel
Recommends:     libkexiv2-devel
Recommends:     libkexiv2-qt6-devel
Recommends:     libkscreen6-devel
Recommends:     libksysguard6-devel
Recommends:     libplasma6-devel
Recommends:     phonon-qt6-devel
Recommends:     plasma5support6-devel
Recommends:     plasma6-activities-devel
Recommends:     plasma6-activities-stats-devel
Recommends:     plasma6-workspace-devel
Recommends:     qqc2-breeze-style6-devel

%description devel_kde_frameworks6
KDE Frameworks 6 and Plasma 6 development packages.

%files devel_kde_frameworks6
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/devel_kde_frameworks6.txt

################################################################################

%package devel_qt6
%pattern_development
Summary:        Qt 6 Development
Group:          Metapackages
Provides:       patterns-openSUSE-devel_qt6 = %{version}
Provides:       pattern() = devel_qt6
Provides:       pattern-icon() = pattern%2Dqt%2Ddevel
Provides:       pattern-order() = 3382
Provides:       pattern-visible()
Requires:       qt6-base-common-devel
Requires:       pattern() = devel_C_C++
Recommends:     qt6-creator

# Generated by:
# foo=($(osc api /build/KDE:Qt6/openSUSE_Tumbleweed/x86_64/_repository | xmllint --xpath "binarylist/binary/@filename" - | tr '\n' ' ' | sed 's/filename="//g' | sed 's/.rpm"//g'))
# foreach x (${foo}) { if [[ "${x}" =~ "-devel" ]] && [[ ! "${x}" =~ "-debug|-static|-private" ]]; then echo "Recommends:     ${x}"; fi }

# The list is filtered to keep the meta-packages and demote some devel packages to 'Suggests:'
#
Recommends:     qt6-3d-devel
Recommends:     qt6-base-devel
Recommends:     qt6-charts-devel
Recommends:     qt6-chartsqml-devel
Recommends:     qt6-connectivity-devel
Recommends:     qt6-datavisualization-devel
Recommends:     qt6-datavisualizationqml-devel
Recommends:     qt6-declarative-devel
Recommends:     qt6-designer-devel
Recommends:     qt6-graphs-devel
Recommends:     qt6-grpc-devel
Recommends:     qt6-help-devel
Recommends:     qt6-httpserver-devel
Recommends:     qt6-imageformats-devel
Recommends:     qt6-labsanimation-devel
Recommends:     qt6-labsfolderlistmodel-devel
Recommends:     qt6-labsqmlmodels-devel
Recommends:     qt6-labssettings-devel
Recommends:     qt6-labssharedimage-devel
Recommends:     qt6-labswavefrontmesh-devel
Recommends:     qt6-linguist-devel
Recommends:     qt6-location-devel
Recommends:     qt6-multimedia-devel
Recommends:     qt6-multimediawidgets-devel
Recommends:     qt6-networkauth-devel
Recommends:     qt6-pdf-devel
Recommends:     qt6-pdfquick-devel
Recommends:     qt6-pdfwidgets-devel
Recommends:     qt6-positioning-devel
Recommends:     qt6-positioningquick-devel
Recommends:     qt6-protobuf-devel
Recommends:     qt6-qmlxmllistmodel-devel
Recommends:     qt6-qt5compat-devel
Recommends:     qt6-quick3d-devel
Recommends:     qt6-quick3dassetimport-devel
Recommends:     qt6-quick3dassetutils-devel
Recommends:     qt6-quick3deffects-devel
Recommends:     qt6-quick3dhelpers-devel
Recommends:     qt6-quick3diblbaker-devel
Recommends:     qt6-quick3dparticleeffects-devel
Recommends:     qt6-quick3dparticles-devel
Recommends:     qt6-quick3dphysics-devel
Recommends:     qt6-quick3druntimerender-devel
Recommends:     qt6-quick3dutils-devel
Recommends:     qt6-quicktimeline-devel
Recommends:     qt6-remoteobjects-devel
Recommends:     qt6-remoteobjectsqml-devel
Recommends:     qt6-scxml-devel
Recommends:     qt6-scxmlqml-devel
Recommends:     qt6-sensors-devel
Recommends:     qt6-sensorsquick-devel
Recommends:     qt6-serialbus-devel
Recommends:     qt6-serialport-devel
Recommends:     qt6-shadertools-devel
Recommends:     qt6-spatialaudio-devel
Recommends:     qt6-statemachine-devel
Recommends:     qt6-statemachineqml-devel
Recommends:     qt6-svg-devel
Recommends:     qt6-texttospeech-devel
Recommends:     qt6-tools-devel
Recommends:     qt6-uitools-devel
Recommends:     qt6-virtualkeyboard-devel
Recommends:     qt6-wayland-devel
Recommends:     qt6-webchannel-devel
Recommends:     qt6-webchannelquick-devel
Recommends:     qt6-webenginecore-devel
Recommends:     qt6-webenginequick-devel
Recommends:     qt6-webenginewidgets-devel
Recommends:     qt6-websockets-devel
Recommends:     qt6-webview-devel
Recommends:     qt6-webviewquick-devel
Suggests:       qt6-coap-devel
Suggests:       qt6-mqtt-devel
Suggests:       qt6-opcua-devel

%description devel_qt6
Tools and libraries for software development using Qt 6.

%files devel_qt6
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/devel_qt6.txt

################################################################################

%package kde
%pattern_graphicalenvironments
Summary:        KDE Applications and Plasma Desktop
Group:          Metapackages
Provides:       patterns-openSUSE-kde = %{version}
Provides:       patterns-openSUSE-kde4 = %{version}
Provides:       pattern() = kde
Provides:       pattern-icon() = pattern%2Dkde
Provides:       pattern-order() = 1110
Provides:       pattern-visible()
Obsoletes:      patterns-openSUSE-kde < %{version}
Obsoletes:      patterns-openSUSE-kde4 < %{version}
Requires:       pattern() = kde_plasma
Recommends:     ark
Recommends:     discover
Recommends:     dolphin
Recommends:     gwenview
Recommends:     kate
Recommends:     kcalc
Recommends:     kipi-plugins
Recommends:     konsole
Recommends:     okular
Recommends:     spectacle
Recommends:     pattern() = games
Recommends:     pattern() = kde_internet
Recommends:     pattern() = kde_pim
Recommends:     pattern() = kde_utilities
Recommends:     pattern() = kde_yast
Recommends:     pattern() = multimedia
Recommends:     pattern() = office
# bnc#605509
Recommends:     skanlite
# bnc#521177
Suggests:       yakuake
Suggests:       kcron
Suggests:       ksystemlog
# from data/COMMON-DESKTOP
Recommends:     MozillaFirefox
Recommends:     avahi
Recommends:     yast2-control-center-qt
Suggests:       marble
Suggests:       kiosktool
Suggests:       krename
Suggests:       vym

%description kde
Packages providing the Plasma desktop environment and applications from KDE.

%files kde
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/kde.txt

################################################################################

%package kde_plasma
%pattern_graphicalenvironments
Summary:        KDE Plasma 6 Desktop Base
Group:          Metapackages
Provides:       pattern() = kde_plasma
Provides:       pattern-icon() = pattern%2Dkde
Provides:       pattern-order() = 1100
Provides:       pattern-visible()
Requires:       pattern() = base

# Old name, only seen in devel repos.
Provides:       %{name}-kde_plasma6 = %{version}
Obsoletes:      %{name}-kde_plasma6 < %{version}

# Minimum to get a usable desktop
Requires:       plasma6-session
Requires:       kf6-qqc2-desktop-style
# bnc#430161
Requires:       desktop-data
Requires:       polkit-default-privs

Requires:       (plasma6-nm if NetworkManager)
Requires:       (plasma6-pa if (pulseaudio or pipewire-alsa))

# X11 session
Recommends:     plasma6-session-x11
Requires:       (pattern() = x11 if plasma6-session-x11)

# We have a theme for this, so prefer it
Recommends:     sddm-qt6

# To open folders on the desktop
Recommends:     dolphin

# Additional packages for the desktop
Recommends:     bluedevil6
Recommends:     breeze6-wallpapers
Recommends:     kdeplasma6-addons
Recommends:     kgamma6
Recommends:     plasma6-disks
# Need to check which one to use
Recommends:     (discover6-notifier if discover6)
#Recommends:     plasma6-pk-updates
Recommends:     plasma6-systemmonitor
Recommends:     plasma6-thunderbolt
# boo#1177628
# Recommends:     kdeconnect-kde
Recommends:     plasma6-print-manager
Recommends:     kwrited6
# bnc#541820
Recommends:     khelpcenter
Recommends:     kdenetwork-filesharing
Recommends:     kf6-baloo-file
Recommends:     kf6-baloo-kioslaves
Recommends:     kf6-baloo-tools
Recommends:     kio-extras6
Recommends:     kwalletmanager
Recommends:     pinentry-qt5
# boo#1208684
Recommends:     pam_kwallet6
Recommends:     xwaylandvideobridge

%if 0%{?suse_version} > 1500
# pipewire
Recommends:     pipewire
Recommends:     pipewire-alsa
Recommends:     pipewire-pulseaudio
%else
# pulseaudio
Recommends:     pulseaudio
Recommends:     alsa-plugins-pulse
Recommends:     pulseaudio-module-x11
Recommends:     pulseaudio-module-zeroconf
Recommends:     pulseaudio-utils
%endif

# Thumbnailers
Recommends:     ffmpegthumbs
Recommends:     kdegraphics-thumbnailers

%description kde_plasma
Base packages for the KDE Plasma 6 desktop environment.

%files kde_plasma
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/kde_plasma.txt

################################################################################

%package kde_pim
%pattern_kdedesktop
Summary:        KDE PIM Suite
Group:          Metapackages
Provides:       pattern() = kde_pim
Provides:       pattern-icon() = pattern%2Dkde%2Dpim
Provides:       pattern-order() = 2360
Provides:       pattern-visible()
Recommends:     akregator
Recommends:     kaddressbook
Recommends:     kleopatra
Recommends:     kmail
Recommends:     knotes
Recommends:     kontact
Recommends:     korganizer
Suggests:       itinerary
Suggests:       zanshin

%description kde_pim
The KDE PIM Suite (Kontact, KMail, KOrganizer, ...).

%files kde_pim
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/kde_pim.txt

################################################################################

%package kde_edutainment
%pattern_kdedesktop
Summary:        KDE Education
Group:          Metapackages
Provides:       patterns-openSUSE-kde4_edutainment = %{version}
Provides:       patterns-openSUSE-kde_edutainment = %{version}
Provides:       pattern() = kde_edutainment
Provides:       pattern-icon() = package_edutainment
Provides:       pattern-order() = 2360
Obsoletes:      patterns-openSUSE-kde4_edutainment < %{version}
Obsoletes:      patterns-openSUSE-kde_edutainment < %{version}
Recommends:     blinken
Recommends:     kalgebra
Recommends:     kalzium
Recommends:     kanagram
Recommends:     kbruch
Recommends:     kgeography
Recommends:     khangman
Recommends:     kig
Recommends:     kiten
Recommends:     klettres
Recommends:     kmplot
Recommends:     ktouch
Recommends:     kwordquiz
Recommends:     marble
Recommends:     parley
Recommends:     step
Suggests:       artikulate
Suggests:       kturtle
Suggests:       minuet

%description kde_edutainment
KDE Applications - Tools to teach kids with computers

%files kde_edutainment
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/kde_edutainment.txt

################################################################################

%package kde_games
%pattern_kdedesktop
Summary:        KDE Games
Group:          Metapackages
Provides:       patterns-openSUSE-kde4_games = %{version}
Provides:       patterns-openSUSE-kde_games = %{version}
Provides:       pattern() = kde_games
Provides:       pattern-extends() = games
Provides:       pattern-icon() = package_games
Provides:       pattern-order() = 2400
Obsoletes:      patterns-openSUSE-kde4_games < %{version}
Obsoletes:      patterns-openSUSE-kde_games < %{version}
Supplements:    (patterns-kde-kde and patterns-games-games)
Recommends:     kmahjongg
Recommends:     kmines
Recommends:     kpat
Recommends:     kreversi
Recommends:     ksudoku
Suggests:       bovo
Suggests:       granatier
Suggests:       kapman
Suggests:       katomic
Suggests:       kblackbox
Suggests:       kblocks
Suggests:       kbounce
Suggests:       kbreakout
Suggests:       kdiamond
Suggests:       kfourinline
Suggests:       kgoldrunner
Suggests:       kigo
Suggests:       killbots
Suggests:       kiriki
Suggests:       kjumpingcube
Suggests:       klickety
Suggests:       klines
Suggests:       knavalbattle
Suggests:       knetwalk
Suggests:       knights
Suggests:       kolf
Suggests:       kollision
Suggests:       konquest
Suggests:       kshisen
Suggests:       ksirk
Suggests:       ksnakeduel
Suggests:       kspaceduel
Suggests:       ksquares
Suggests:       ktuberling
Suggests:       kubrick
Suggests:       lskat
Suggests:       palapeli
Suggests:       picmi

%description kde_games
KDE Applications - Games

%files kde_games
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/kde_games.txt

################################################################################

%package kde_ide
%pattern_kdedesktop
Summary:        KDE Integrated Development Environment
Group:          Metapackages
Provides:       patterns-openSUSE-kde4_ide = %{version}
Provides:       patterns-openSUSE-kde_ide = %{version}
Provides:       pattern() = kde_ide
Provides:       pattern-icon() = package_utilities
Provides:       pattern-order() = 2820
Obsoletes:      patterns-openSUSE-kde4_ide < %{version}
Obsoletes:      patterns-openSUSE-kde_ide < %{version}
Recommends:     kapptemplate
Recommends:     kate
Recommends:     kcachegrind
Recommends:     kdbg
Recommends:     kdevelop5
Recommends:     kompare
Recommends:     lokalize
Recommends:     umbrello
Suggests:       cervisia

%description kde_ide
KDE software for development (editors, integrated development environments, and associated tools).

%files kde_ide
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/kde_ide.txt

################################################################################

%package kde_imaging
%pattern_kdedesktop
Summary:        KDE Graphics
Group:          Metapackages
Provides:       patterns-openSUSE-kde4_imaging = %{version}
Provides:       patterns-openSUSE-kde_imaging = %{version}
Provides:       pattern() = kde_imaging
Provides:       pattern-extends() = imaging
Provides:       pattern-icon() = package_graphics
Provides:       pattern-order() = 2540
Obsoletes:      patterns-openSUSE-kde4_imaging < %{version}
Obsoletes:      patterns-openSUSE-kde_imaging < %{version}
Supplements:    (patterns-kde-kde and patterns-desktop-imaging)
Recommends:     digikam
Recommends:     gwenview
Recommends:     kcolorchooser
Recommends:     kio_kamera
Recommends:     kipi-plugins
Recommends:     okular
# Should probably be Recommends here, but that would install krita on
# many current user's machines :-/
Suggests:       krita
Suggests:       libjpeg-turbo
Suggests:       kruler
Suggests:       kolourpaint

%description kde_imaging
KDE Applicatons - Handling of digital photos and graphics

%files kde_imaging
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/kde_imaging.txt

################################################################################

%package kde_internet
%pattern_kdedesktop
Summary:        KDE Internet
Group:          Metapackages
Provides:       patterns-openSUSE-kde4_internet = %{version}
Provides:       patterns-openSUSE-kde_internet = %{version}
Provides:       pattern() = kde_internet
Provides:       pattern-extends() = kde4
Provides:       pattern-icon() = package_network
Provides:       pattern-order() = 2560
Obsoletes:      patterns-openSUSE-kde4_internet < %{version}
Obsoletes:      patterns-openSUSE-kde_internet < %{version}
# from data/KDE4-Internet
# 297684 for these 2
Recommends:     konversation
# bnc#533580
Recommends:     plasma6-nm-openconnect
Recommends:     plasma6-nm-openvpn
Recommends:     plasma6-nm-pptp
Suggests:       kget

%description kde_internet
KDE Internet Applications

%files kde_internet
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/kde_internet.txt

################################################################################

%package kde_multimedia
%pattern_kdedesktop
Summary:        KDE Multimedia
Group:          Metapackages
Provides:       patterns-openSUSE-kde4_multimedia = %{version}
Provides:       patterns-openSUSE-kde_multimedia = %{version}
Provides:       pattern() = kde_multimedia
Provides:       pattern-extends() = multimedia
Provides:       pattern-icon() = package_multimedia
Provides:       pattern-order() = 2620
Obsoletes:      patterns-openSUSE-kde4_multimedia < %{version}
Obsoletes:      patterns-openSUSE-kde_multimedia < %{version}
Supplements:    (patterns-kde-kde and patterns-desktop-multimedia)
Recommends:     kio_audiocd
Recommends:     phonon-vlc-qt6
Recommends:     plasma6-pa
Recommends:     (PackageKit-gstreamer-plugin if gstreamer)
Recommends:     (gstreamer-plugins-good if gstreamer)
# we want a video player
Recommends:     vlc
Suggests:       amarok
Suggests:       dragonplayer
Suggests:       juk
Suggests:       k3b

%description kde_multimedia
KDE Applications - Multimedia

%files kde_multimedia
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/kde_multimedia.txt

################################################################################

%package kde_office
%pattern_kdedesktop
Summary:        KDE Office
Group:          Metapackages
Provides:       patterns-openSUSE-kde4_office = %{version}
Provides:       patterns-openSUSE-kde_office = %{version}
Provides:       pattern() = kde_office
Provides:       pattern-extends() = office
Provides:       pattern-icon() = package_wordprocessing
Provides:       pattern-order() = 2700
Obsoletes:      patterns-openSUSE-kde4_office < %{version}
Obsoletes:      patterns-openSUSE-kde_office < %{version}
Supplements:    (patterns-kde-kde and patterns-office-office)
Recommends:     libreoffice-icon-theme-breeze
Recommends:     libreoffice-qt5
Suggests:       scribus

%description kde_office
KDE Office

%files kde_office
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/kde_office.txt

################################################################################

%package kde_utilities
%pattern_kdedesktop
Summary:        KDE Utilities
Group:          Metapackages
Provides:       patterns-openSUSE-kde4_utilities = %{version}
Provides:       patterns-openSUSE-kde_utilities = %{version}
Provides:       pattern() = kde_utilities
Provides:       pattern-extends() = kde
Provides:       pattern-icon() = package_utilities
Provides:       pattern-order() = 2860
Obsoletes:      patterns-openSUSE-kde4_utilities < %{version}
Obsoletes:      patterns-openSUSE-kde_utilities < %{version}
Recommends:     kcharselect
Recommends:     kmag
Recommends:     kmousetool
Recommends:     kompare
Recommends:     pattern() = kde_utilities_opt
Suggests:       okteta
Suggests:       kteatime
Suggests:       k4dirstat
Suggests:       sweeper

%description kde_utilities
KDE Applications - Utilities

%files kde_utilities
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/kde_utilities.txt

################################################################################

%package kde_utilities_opt
%pattern_kdedesktop
Summary:        KDE Utilities
Group:          Metapackages
Provides:       patterns-openSUSE-kde4_utilities_opt = %{version}
Provides:       patterns-openSUSE-kde_utilities_opt = %{version}
Provides:       pattern() = kde_utilities_opt
Provides:       pattern-extends() = kde
Provides:       pattern-icon() = package_utilities
Provides:       pattern-order() = 2840
Obsoletes:      patterns-openSUSE-kde4_utilities_opt < %{version}
Obsoletes:      patterns-openSUSE-kde_utilities_opt < %{version}
Suggests:       rsibreak
Suggests:       speedcrunch
Suggests:       kchmviewer
Suggests:       kmouth
Suggests:       kdf
Suggests:       ktimer
Suggests:       kwikdisk
Suggests:       krusader

# from data/COMMON-DESKTOP-OPT
# packages a GTK application
Recommends:     gutenprint
# MAYBE later lsb-graphics
# give net shares
Recommends:     samba

Suggests:       hplip

%description kde_utilities_opt
KDE Application - Additional Utilities

%files kde_utilities_opt
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/kde_utilities_opt.txt

################################################################################

%package kde_yast
%pattern_basetechnologies
Summary:        YaST KDE User Interfaces
Group:          Metapackages
Provides:       patterns-openSUSE-kde4_yast = %{version}
Provides:       patterns-openSUSE-kde_yast = %{version}
Provides:       pattern() = kde_yast
Provides:       pattern-extends() = yast2_basis
Provides:       pattern-icon() = pattern-generic
Provides:       pattern-order() = 1300
Obsoletes:      patterns-openSUSE-kde4_yast < %{version}
Obsoletes:      patterns-openSUSE-kde_yast < %{version}
Provides:       patterns-kde-sw_management_kde = %{version}
Obsoletes:      patterns-kde-sw_management_kde < %{version}
Provides:       patterns-openSUSE-sw_management_kde = %{version}
Obsoletes:      patterns-openSUSE-sw_management_kde < %{version}
Provides:       patterns-openSUSE-sw_management_kde4 = %{version}
Obsoletes:      patterns-openSUSE-sw_management_kde4 < %{version}
Supplements:    (patterns-kde-kde_plasma and patterns-yast-yast2_basis)
# from data/KDE4-YaST
Requires:       libyui-qt-pkg
Requires:       yast2-control-center-qt
Recommends:     (yast2-theme-oxygen if oxygen5-icon-theme)

%description kde_yast
Graphical YaST user interfaces for the KDE desktop.

%files kde_yast
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/kde_yast.txt

%prep

%build

%install
mkdir -p %{buildroot}/%{_defaultdocdir}/patterns/
for i in devel_kde_frameworks devel_qt5 devel_kde_frameworks6 devel_qt6 kde kde_plasma kde_pim \
    kde_edutainment kde_games kde_ide kde_imaging kde_internet kde_multimedia \
    kde_office kde_utilities kde_utilities_opt kde_yast kde_plasma; do
    echo "This file marks the pattern $i to be installed." \
        >"%{buildroot}/%{_defaultdocdir}/patterns/$i.txt"
done

%changelog
* Thu Apr 11 2024 Fabian Vogt <fabian@ritter-vogt.de>
- xwaylandvideobridge has always been unversioned (boo#1222640)
* Mon Mar 11 2024 Christophe Marin <christophe@krop.fr>
- Add a pattern for KDE Frameworks and Plasma 6 development
  packages
* Fri Mar  8 2024 Christophe Marin <christophe@krop.fr>
- Update recommended applications
* Mon Mar  4 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Replace the plasma5 pattern with the plasma6 one
* Wed Feb 21 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Recommend xwaylandvideobridge in the Plasma patterns
* Mon Jan 29 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Make phonon4qt5-backend a hard dep of the plasma pattern
  (boo#1219277)
- Avoid gstreamer if not necessary
* Wed Jan 24 2024 pallas wept <pallaswept@proton.me>
- Change from phonon4qt5-backend-gstreamer to phonon4qt5-backend-vlc
  due to deprecation of the gstreamer backend
* Sat Dec 30 2023 Neal Gompa <ngompa@opensuse.org>
- Add recommends on plasma6-session-x11 for plasma6 pattern
  and make the x11 pattern conditionally required based on its
  existence
- Add dependency on base pattern to plasma6 pattern
* Wed Dec  6 2023 Christophe Marin <christophe@krop.fr>
- Add qt6-graph and qt6-webchannelquick development packages to
  the devel_qt6 pattern
* Mon Nov 13 2023 Fabian Vogt <fabian@ritter-vogt.de>
- Add plasma6 pattern
* Tue Aug  1 2023 Christophe Marin <christophe@krop.fr>
- Drop the telepathy pattern.
  The telepathy modules are now officially unmaintained upstream
  and won't be released anymore.
* Mon Apr  3 2023 Christophe Marin <christophe@krop.fr>
- Add the qt6-grpc and qt6-location devel packages to the Qt6
  pattern.
* Wed Mar  8 2023 Fabian Vogt <fabian@ritter-vogt.de>
- Recommend pam_kwallet in kde_plasma (boo#1208684)
* Sat Oct  1 2022 Christophe Giboudeaux <christophe@krop.fr>
- Update the Qt6 pattern for the 6.4.0 release
- Remove obsolete or missing packages from KDE patterns
* Tue Jul  5 2022 Antonio Larrosa <alarrosa@suse.com>
- Replace pulseaudio with pipewire as the default audio server
  in TW.
* Wed Feb 16 2022 Christophe Giboudeaux <christophe@krop.fr>
- Add missing recommends to the Qt5 devel pattern. (boo#1192133)
* Thu Feb  3 2022 Christophe Giboudeaux <christophe@krop.fr>
- Add a Qt 6 development pattern
- Add missing frameworks
* Mon May 10 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Require qqc2-desktop-style in kde_plasma
* Wed Apr 14 2021 Fabian Vogt <fabian@ritter-vogt.de>
- Recommend plasma5-systemmonitor in kde_plasma
* Mon Oct 26 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Recommend plasma5-disks in kde_plasma
* Sun Oct 25 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Only recommend yast2-theme-oxygen if oxygen icons are installed
* Fri Oct 16 2020 Luca Beltrame <lbeltrame@kde.org>
- Remove kdeconnect-kde recommends, as asked by the security team
  (boo#1177628)
* Mon Oct 14 2019 Fabian Vogt <fabian@ritter-vogt.de>
- Drop kde-odf-thumbnail recommends, is part of kio-extras5
* Fri Oct 11 2019 Fabian Vogt <fabian@ritter-vogt.de>
- Recommend plasma5-thunderbolt in kde_plasma
* Tue May 14 2019 Fabian Vogt <fabian@ritter-vogt.de>
- Recommend kwrited5 in kde_plasma
* Thu May  9 2019 wbauer@tmo.at
- Add back the kde_telepathy pattern (boo#1116043)
* Fri Nov 30 2018 lslezak@suse.cz
- Updated yast2-theme dependency (related to boo#1109310)
* Fri Oct 19 2018 Fabian Vogt <fabian@ritter-vogt.de>
- Recommend dolphin in kde_plasma
* Wed Sep 19 2018 Stasiek Michalski <hellcp@mailbox.org>
- Apply qt devel icon (boo#1039994)
- Change icon for kde-pim (boo#1107103)
* Tue Sep  4 2018 fabian@ritter-vogt.de
- Work around missing PIM icon (boo#1107103)
- Use new pattern-kde icons instead of -kde4
* Sat Jul 28 2018 fabian@ritter-vogt.de
- %%2F is '/', but it has to be '-', so use %%2D
* Wed Jul 18 2018 fabian@ritter-vogt.de
- Make kde_pim visible
* Mon Jul  9 2018 fabian@ritter-vogt.de
- Update devel_kde_frameworks packagelist
- Update devel_qt5 packagelist
- Merge devel_kde into devel_kde_frameworks
- Don't require breeze5-wallpapers, only recommend it
- Split out PIM into a separate pattern:
  * Use kleopatra instead of kgpg
  * Remove 5 suffix
- Don't recommend kmozillahelper, it has a supplements already
- Slim down kde_plasma, move applications to kde
- Call it "KDE Plasma 5 Desktop Base" to make it more obvious that
  only the base desktop is installed
- Improve descriptions of kde_plasma and kde
- Move gdb recommendation to drkonqi5
- Use %%2F instead of - where necessary
- Remove kppp, rekonq and smb4k
- Use libreoffice-qt5 instead of libreoffice-kde4
- Only suggest cervisia
- Recommend skanlite in kde, not kde_imaging as well
* Mon Jun 25 2018 fabian@ritter-vogt.de
- Directly recommend kgamma5 in kde_plasma
- Add some packages from imaging directly to kde (boo#1098878)
- Remove calligra-stage
* Fri Jun 15 2018 fabian@ritter-vogt.de
- Remove moonlight-plugin and aria2 suggests
* Mon Jun  4 2018 fabian@ritter-vogt.de
- Don't recommend the imaging pattern, it pulls in only GIMP anyway
- Use VLC instead of Dragon Player
* Tue Apr  3 2018 fabian@ritter-vogt.de
- Replace plasma-nm5-vpnc with plasma-nm5-openconnect
* Tue Mar 27 2018 wbauer@tmo.at
- Recommend kdevelop5 instead of kdevelop4 in the kde_ide pattern
  (boo#1009986)
* Sat Mar 24 2018 fabian@ritter-vogt.de
- Don't recommend unused kde-oxygen-fonts and google-droid-fonts
* Fri Jan 26 2018 fabian@ritter-vogt.de
- Recommend plasma5-session-wayland to install it by default
* Tue Jan 16 2018 fabian@ritter-vogt.de
- Don't recommend kde-gtk-config5, replaced by supplements
* Sat Jan 13 2018 fabian@ritter-vogt.de
- Recommend discover in the kde_plasma pattern
* Tue Sep 12 2017 fabian@ritter-vogt.de
- kolorlines -> klines (boo#1058191)
* Fri Aug 25 2017 fabian@ritter-vogt.de
- Drop the kde_telepathy pattern
* Thu Aug 17 2017 fabian@ritter-vogt.de
- Do not recommend KDE4 based applications anymore
- Replace old KDE4 package names with current ones
- Move Recommends: kdebase4-workspace-libs to breeze4-style
- Set BuildArch: noarch and remove unnecessary patterns-kde-rpmlintrc
* Wed Aug 16 2017 fabian@ritter-vogt.de
- Merge kde_plasma pattern into kde
- Merge sw_management_kde pattern into kde_yast
- Do not recommend obsolete YaST modules (boo#1053324)
* Mon Jul 24 2017 tchvatal@suse.com
- Drop libtunepimp-devel from suggestions
* Wed Jun 28 2017 jengelh@inai.de
- Use macros over old $RPM shell vars.
  Change to a sh loop for creating minimally different text files.
* Mon Jun 19 2017 dimstar@opensuse.org
- Do not require basesystem: KDE builds on top of X11, it is not
  our worry to understand what X11 builds upon (happens to be base
  too).
* Thu Jun  1 2017 fabian@ritter-vogt.de
- Replace susehelp with khelpcenter5
* Tue May 23 2017 fabian@ritter-vogt.de
- "KDE Plasma 5" instead of "Plasma5" (boo#1040006)
* Tue May  9 2017 fabian@ritter-vogt.de
- Recommend ffmpegthumbs, kdegraphics-thumbnailers
  and kde-odf-thumbnail as well (boo#1017035)
* Wed May  3 2017 dimstar@opensuse.org
- Provide/obsolete patterns-openSUSE-* names.
- Adjust supplements for the new pattern names.
* Thu Mar 16 2017 sflees@suse.de
- Create new package from old unified patterns package
